<?php
/**
 * @package sicht_details
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf 
 */



class KursDetailsMobilePage extends DefaultMobilePage {

  function __construct() {
    if(isset($_REQUEST['nr'])){
      parent::__construct(353, TOOL_MOB_KURSDETAILS, RequestOperations::getVarValue('nr'));
    } else {
      parent::__construct(353, TOOL_MOB_KURSDETAILS, 'Kursdetails');
    }
    
    $this->dbwork = new DBWorkKurseMobile();
    $this->fetchData();
  }

  public function fetchData(){
    if(isset($this->urlParameter['nr'])){
      $this->data = $this->dbwork->getKurs($this->urlParameter['nr']);
    } else {
      $this->data = NULL;
    }
    $this->dataCount = count($this->data);
  }

  public function getMobileHtml(){
    $retour = $this->getColumnsArrayHtmlTable($this->data);
    return $retour;
  }
}
?>